Import Certificate By Json V2 Using POST

Import Certificate By Json V2 Using POST

Import an already existing Certificate

Request
URI
POST
https://{api_host}//lcm-15-95.eng.vmware.com/lcm/locker/api/v2/certificates/import
COPY
Request Body

certificateImportRequestDTO

CertificateImportRequestDTO of type(s) application/json
Required
{
    "alias": "string",
    "certificateChain": "string",
    "passphrase": "string",
    "privateKey": "string"
}
string
alias
Optional

alias

string
certificateChain
Optional

certificateChain

string
passphrase
Optional

passphrase

string
privateKey
Optional

privateKey

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Certificate of type(s) */*
{
    "alias": "string",
    "certChain": "string",
    "certInfo": {
        "algorithm": "string",
        "issuer": "string",
        "keyAlgorithm": "string",
        "keyLength": 0,
        "san": "string",
        "sha1": "string",
        "sha256": "string",
        "subject": "string"
    },
    "key": "string",
    "leafCert": "string",
    "validations": [
        {
            "message": "string",
            "strict": false
        }
    ],
    "validity": {
        "expiresOn": "string",
        "healthy": false,
        "issuedOn": "string",
        "period": "string"
    },
    "vmid": "string"
}
string
alias
Optional

alias

string
certChain
Optional

certChain

certInfo
Optional

certInfo

string
key
Optional

key

string
leafCert
Optional

leafCert

validations
Optional

validations

validity
Optional

validity

string
vmid
Optional

vmid


201

Created

Operation doesn't return any data structure

400

Bad Request

Returns GenericErrorResponseDTO of type(s) */*
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Operation doesn't return any data structure

409

Conflict

Returns GenericErrorResponseDTO of type(s) */*
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status


500

Internal Server Error

Returns GenericErrorResponseDTO of type(s) */*
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status